Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bugzilla DB migration completed. Please report issues to Infra team via email via infra@gentoo.org or IRC
Bug 706558 - dev-libs/libx86emu-1.1 : fails to build with -fno-common or gcc-10
Summary: dev-libs/libx86emu-1.1 : fails to build with -fno-common or gcc-10
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: No maintainer - Look at https://wiki.gentoo.org/wiki/Project:Proxy_Maintainers if you want to take care of it
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: -fno-common
  Show dependency tree
 
Reported: 2020-01-26 21:37 UTC by Toralf Förster
Modified: 2020-02-09 23:05 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge-info.txt (emerge-info.txt,14.86 KB, text/plain)
2020-01-26 21:37 UTC, Toralf Förster
Details
dev-libs:libx86emu-1.1:20200126-211827.log (dev-libs:libx86emu-1.1:20200126-211827.log,5.14 KB, text/plain)
2020-01-26 21:37 UTC, Toralf Förster
Details
emerge-history.txt (emerge-history.txt,24.85 KB, text/plain)
2020-01-26 21:37 UTC, Toralf Förster
Details
environment (environment,74.43 KB, text/plain)
2020-01-26 21:37 UTC, Toralf Förster
Details
etc.portage.tbz2 (etc.portage.tbz2,11.71 KB, application/x-bzip)
2020-01-26 21:37 UTC, Toralf Förster
Details
temp.tbz2 (temp.tbz2,18.48 KB, application/x-bzip)
2020-01-26 21:37 UTC, Toralf Förster
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Toralf Förster gentoo-dev 2020-01-26 21:37:00 UTC
      |            ^
x86_64-pc-linux-gnu-gcc -c -O2 -pipe -march=native -fno-common -fPIC -Wall ops.c
x86_64-pc-linux-gnu-gcc -c -O2 -pipe -march=native -fno-common -fPIC -Wall prim_ops.c
x86_64-pc-linux-gnu-gcc -shared -Wl,-O1 -Wl,--as-needed -Wl,-soname,libx86emu.so.1 api.o decode.o mem.o ops2.o ops.o prim_ops.o -o libx86emu.so.1.1
/usr/lib/gcc/x86_64-pc-linux-gnu/9.2.0/../../../../x86_64-pc-linux-gnu/bin/ld: decode.o:(.bss+0xee0): multiple definition of `x86emu_optab'; api.o:(.bss+0x800): first defined here
/usr/lib/gcc/x86_64-pc-linux-gnu/9.2.0/../../../../x86_64-pc-linux-gnu/bin/ld: decode.o:(.bss+0x6e0): multiple definition of `x86emu_optab2'; api.o:(.bss+0x0): first defined here

  -------------------------------------------------------------------

  This is an unstable amd64 chroot image at a tinderbox (==build bot)
  name: 17.1_desktop-libressl-20200125-232521

  -------------------------------------------------------------------

  Please see the tracker bug for details.

gcc-config -l:
 [1] x86_64-pc-linux-gnu-9.2.0 *


llvm:
9.0.1
Available Python interpreters, in order of preference:
  [1]   python3.8
  [2]   python3.7 (uninstalled)
  [3]   python3.6
  [4]   python2.7 (fallback)
Available Ruby profiles:
  [1]   ruby24 (with Rubygems)
  [2]   ruby25 (with Rubygems) *




repository:
==> /var/db/repos/gentoo/metadata/timestamp.chk <==
Sun, 26 Jan 2020 20:26:16 +0000

emerge -qpvO dev-libs/libx86emu
[ebuild  N    ] dev-libs/libx86emu-1.1
Comment 1 Toralf Förster gentoo-dev 2020-01-26 21:37:03 UTC
Created attachment 604964 [details]
emerge-info.txt
Comment 2 Toralf Förster gentoo-dev 2020-01-26 21:37:06 UTC
Created attachment 604966 [details]
dev-libs:libx86emu-1.1:20200126-211827.log
Comment 3 Toralf Förster gentoo-dev 2020-01-26 21:37:09 UTC
Created attachment 604968 [details]
emerge-history.txt
Comment 4 Toralf Förster gentoo-dev 2020-01-26 21:37:12 UTC
Created attachment 604970 [details]
environment
Comment 5 Toralf Förster gentoo-dev 2020-01-26 21:37:15 UTC
Created attachment 604972 [details]
etc.portage.tbz2
Comment 6 Toralf Förster gentoo-dev 2020-01-26 21:37:19 UTC
Created attachment 604974 [details]
temp.tbz2
Comment 7 Larry the Git Cow gentoo-dev 2020-02-09 23:05:45 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d332eb47396f2afcd46f59a3aeec3c962f860552

commit d332eb47396f2afcd46f59a3aeec3c962f860552
Author:     David Seifert <soap@gentoo.org>
AuthorDate: 2020-02-09 23:05:10 +0000
Commit:     David Seifert <soap@gentoo.org>
CommitDate: 2020-02-09 23:05:10 +0000

    dev-libs/libx86emu: Port to EAPI 7
    
    Closes: https://bugs.gentoo.org/684466
    Closes: https://bugs.gentoo.org/706558
    Package-Manager: Portage-2.3.88, Repoman-2.3.20
    Signed-off-by: David Seifert <soap@gentoo.org>

 .../files/libx86emu-1.1-fix-makefile.patch         | 82 ++++++++++++++++++++++
 .../files/libx86emu-1.1-gcc10-fno-common.patch     | 13 ++++
 dev-libs/libx86emu/libx86emu-1.1.ebuild            | 28 +++-----
 3 files changed, 104 insertions(+), 19 deletions(-)